Index: /trunk/admin/modules/Elezioni/ele_permessi.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_permessi.php	(revision 357)
+++ /trunk/admin/modules/Elezioni/ele_permessi.php	(revision 358)
@@ -24,5 +24,5 @@
 list($tipo_cons,$id_cons) = $res->fetch(PDO::FETCH_NUM);
 if (isset($param['aid2'])) $aid2=addslashes($param['aid2']); else $aid2='';
-if (isset($param['id_sede'])) $id_sede=intval($param['id_sede']); else $id_sede='';
+if (isset($param['id_sede'])) $id_sede=intval($param['id_sede']); else $id_sede=0;
 if (isset($param['do'])) $do=addslashes($param['do']); else $do='';
 if (isset($param['permessi'])) $permessi=addslashes($param['permessi']); else $permessi='';
@@ -30,4 +30,5 @@
 if (isset($param['ok'])) $ok=intval($param['ok']); else $ok='';
 if (isset($param['mex'])) $mex=addslashes($param['mex']); else $mex='';
+if (isset($param['id_sez'])) $id_sez=intval($param['id_sez']); else $id_sez=0;
 
 include("modules/Elezioni/funzionidata.php");
@@ -39,6 +40,20 @@
 //crea la pagina delle affluenze
 function all() {
-	global $adminop,$adminsuper,$admincomune,$aid, $offset, $prefix, $dbi,$id_cons,$aid2,$permessi,$id_sede,$id_cons_gen,$id_comune,$mex;
+	global $adminop,$adminsuper,$admincomune,$aid, $offset, $prefix, $dbi,$id_cons,$aid2,$permessi,$id_sede,$id_cons_gen,$id_comune,$mex,$id_sez;
 	$bgcolor1=$_SESSION['bgcolor1'];
+  		echo "<SCRIPT type=\"text/javascript\">\n\n<!--\n"
+		
+		."//-->\n";
+		echo "function controlloref(idsede,idsez) {\n";
+		echo "let element = window.document.getElementById(idsede); \n";
+		echo "let elecontr = window.document.getElementById(idsez); \n";
+		echo "element.selectedIndex = 0 ; \n";
+		echo "}\n";
+		echo "function controllosez(idsez, idsede) {\n";
+		echo "let element = window.document.getElementById(idsez); \n";
+		echo "let elecontr = window.document.getElementById(idsede); \n";
+		echo "element.selectedIndex = 0; \n";
+		echo "}\n";
+		echo "</script>\n";  
 	if (isset($mex)){
 		echo "<table align=\"center\"><tr><td style=\"background-color: rgb(255, 0, 0)\">";
@@ -54,4 +69,5 @@
 	echo "<td><b>"._UTENTE."</b></td>"
 	."<td bgcolor=\"$bgcolor1\"><b>"._SEDE."</b></td>"
+	."<td bgcolor=\"$bgcolor1\"><b>"._SEZIONE."</b></td>"
 	."<td bgcolor=\"$bgcolor1\"><b>"._PERMESSI."</b></td>";
 	echo "<td bgcolor=\"$bgcolor1\"><b>"._FUNZIONI."</b></td></tr>";
@@ -71,9 +87,8 @@
         
 	if (!$listmp) $listmp="''";
-	$sql="select aid from ".$prefix."_authors where id_comune=$id_comune and (admincomune=1 and aid not in ($listmp)) order by aid"; // operatori registrati ma non ancora autorizzati
+	$sql="select aid from ".$prefix."_authors where id_comune=$id_comune and (admincomune=0 and adminop=0 and aid not in ($listmp)) order by aid"; // operatori registrati ma non ancora autorizzati
 	$resins = $dbi->prepare("$sql");
 	$resins->execute();				
-	
-         
+    
 	echo "<form name=\"autorizza\" action=\"admin.php\">"
 	."<input type=\"hidden\" name=\"op\" value=\"permessi\">";
@@ -90,5 +105,5 @@
 	$ressede = $dbi->prepare("$sql");
 	$ressede->execute();				
-	echo "<td><select name=\"id_sede\">";
+	echo "<td><select id=\"id_sede\" name=\"id_sede\" onchange=controllosez('id_sez','id_sede')>";
 	echo "<option value=\"0\"> "._TUTTESEDI;
 	if($ressede->rowCount())
@@ -99,4 +114,16 @@
 	}
 	echo "</select></td>";
+	$sql="SELECT id_sez, num_sez from ".$prefix."_ele_sezioni where id_cons=$id_cons order by num_sez";
+	$ressez = $dbi->prepare("$sql");
+	$ressez->execute();				
+	echo "<td><select id=\"id_sez\" name=\"id_sez\" onchange=controlloref('id_sede','id_sez')>";
+	echo "<option value=\"0\"> ";
+	if($ressez->rowCount())
+	while(list($id,$descr)=$ressez->fetch(PDO::FETCH_NUM)){
+		$sel= ($id == $id_sez) ? "selected":"";
+		$arr[$id]=$descr;
+		echo "<option value=\"$id\" $sel>$descr";
+	}
+	echo "</select></td>";	
 	echo "<td><select name=\"permessi\">";
 	if(!isset($permessi)) $permessi=16;
@@ -115,5 +142,5 @@
 	if($resmod->rowCount()){
 		$i=1;
-		while (list($id_cons2,$id_sede2,$id_comunetemp,$perm,$utente) = $resmod->fetch(PDO::FETCH_NUM)){ 
+		while (list($id_cons2,$id_sede2,$id_comunetemp,$perm,$utente,$id_circ2,$id_sez2) = $resmod->fetch(PDO::FETCH_NUM)){ 
 			$bgcolor1=($bgcolor1==$_SESSION['bgcolor1'])?$_SESSION['bgcolor2']:$_SESSION['bgcolor1'];
 			echo "<form name=\"modello$i\" action=\"admin.php\">"
@@ -128,6 +155,9 @@
 			$ressede = $dbi->prepare("$sql");
 			$ressede->execute();				
-			echo "<td><select name=\"id_sede\">";
-			echo "<option value=\"0\"> "._TUTTESEDI;
+			echo "<td><select id=\"id_sede$i\" name=\"id_sede\"  onchange=controllosez('id_sez$i','id_sede$i')>";
+#			if($id_sez2)
+#				echo "<option value=\"0\"> ";
+#			else
+				echo "<option value=\"0\"> "._TUTTESEDI;
 			while(list($id,$descr)=$ressede->fetch(PDO::FETCH_NUM)){
 				$sel= ($id == $id_sede2) ? "selected":"";
@@ -136,4 +166,16 @@
 			}
 			echo "</select></td>";
+			$sql="SELECT id_sez, num_sez from ".$prefix."_ele_sezioni where id_cons=$id_cons order by num_sez";
+			$ressez = $dbi->prepare("$sql");
+			$ressez->execute();				
+			echo "<td><select id=\"id_sez$i\" name=\"id_sez\"  onchange=controlloref('id_sede$i','id_sez$i')>";
+			echo "<option value=\"0\"> ";
+			if($ressez->rowCount())
+			while(list($id,$descr)=$ressez->fetch(PDO::FETCH_NUM)){
+				$sel= ($id == $id_sez2) ? "selected":"";
+				$arr[$id]=$descr;
+				echo "<option value=\"$id\" $sel>$descr";
+			}
+			echo "</select></td>";				
 			echo "<td><select name=\"permessi\">";
 			if(!isset($perm)) $perm=16;
@@ -153,5 +195,5 @@
 }
 
-function permessi($ok, $do,$aid2,$id_sede,$permessi,$id_comune) {
+function permessi($ok, $do,$aid2,$id_sede,$permessi,$id_comune,$id_sez) {
 	global $prefix, $dbi, $id_cons,$id_cons_gen,$currentlang;
 	$perms=ChiSei($id_cons_gen);
@@ -159,10 +201,10 @@
 	if ($perms>32 and $permessi<$perms and $aid2) {
 		if ($do == "autorizza") {
-			$sql="insert into ".$prefix."_ele_operatori (id_cons,id_sede,id_comune,permessi,aid) values ('$id_cons','$id_sede','$id_comune','$permessi','$aid2')";
+			$sql="insert into ".$prefix."_ele_operatori (id_cons,id_sede,id_comune,permessi,aid,id_sez) values ('$id_cons','$id_sede','$id_comune','$permessi','$aid2','$id_sez')";
 			$res = $dbi->prepare("$sql");
 			$res->execute();				
 			Header("Location: admin.php?op=permessi&id_cons_gen=$id_cons_gen");
 		} elseif ($do == "update") {
-			$sql="update  ".$prefix."_ele_operatori set id_sede='$id_sede' , permessi='$permessi' where id_cons='$id_cons' and aid='$aid2' ";
+			$sql="update  ".$prefix."_ele_operatori set id_sede='$id_sede', permessi='$permessi', id_sez='$id_sez' where id_cons='$id_cons' and aid='$aid2' ";
 			$res = $dbi->prepare("$sql");
 			$res->execute();
@@ -178,5 +220,5 @@
 // switch
 //****************************
-	if ($do) permessi($ok, $do,$aid2,$id_sede,$permessi,$id_comune);
+	if ($do) permessi($ok, $do,$aid2,$id_sede,$permessi,$id_comune,$id_sez);
 	ele();
 	all();
Index: /trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_voti.php	(revision 357)
+++ /trunk/admin/modules/Elezioni/ele_voti.php	(revision 358)
@@ -413,5 +413,5 @@
 $result = $dbi->prepare("$sql");
 $result->execute();
- 
+
 
 list($numprefs,$fascia,$id_conf,$flagsg,$disgiunto)=$result->fetch(PDO::FETCH_NUM);
@@ -677,6 +677,6 @@
 			echo "<td bgcolor=\"$bgcolor1\" align=\"left\"><b>"._DESCR."</b></td>"
 			."<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._VOTI."</b></td>";
-			if($dettnulli && !$disgiunto  && $tipo_cons!=18 && $tipo_cons!=19)
-			echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._NULLI_LISTE."</b></td>";
+#			if($dettnulli && !$disgiunto  && $tipo_cons!=18 && $tipo_cons!=19)
+#			echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._NULLI_LISTE."</b></td>";
 			if($disgiunto){
 			echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._SOLOLIS."</b></td>";
@@ -775,5 +775,5 @@
 				$cond_sele="and id_lista=$id_lista3";
 				echo "<td align=\"right\" $errcolor><input  name=\"voti$i\" value=\"".$voti."\" size=\"7\"  style=\"text-align:right\">";
-				if($dettnulli && !$disgiunto  && $tipo_cons!=18 && $tipo_cons!=19) { echo "</td><td align=\"right\"><input  name=\"vnpl$i\" value=\"".$vnpl."\" size=\"7\"  style=\"text-align:right\">"; $tvnpl+=$vnpl;}
+#				if($dettnulli && !$disgiunto  && $tipo_cons!=18 && $tipo_cons!=19) { echo "</td><td align=\"right\"><input  name=\"vnpl$i\" value=\"".$vnpl."\" size=\"7\"  style=\"text-align:right\">"; $tvnpl+=$vnpl;}
 				if($disgiunto) {echo "</td><td align=\"right\"><input  name=\"slpl$i\" value=\"".$slpl."\" size=\"7\"  style=\"text-align:right\">"; $tslpl+=$slpl;}
 				echo "<input type=\"hidden\" name=\"id_lista$i\" value=\"$id_lista3\"></td>";
@@ -786,6 +786,6 @@
 		if(!$id_lista) {
 			echo "<tr bgcolor=\"$bgcolor1\"><td></td><td><font size=\"3\">"._TOT._VOTI_LISTA."</font></td><td align=\"center\"><font size=\"3\">$tot_pref</font></td>";
-			if($dettnulli && !$disgiunto  && $tipo_cons!=18 && $tipo_cons!=19)
-				echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><font size=\"3\">".$tvnpl."</font></td>";
+#			if($dettnulli && !$disgiunto  && $tipo_cons!=18 && $tipo_cons!=19)
+#				echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><font size=\"3\">".$tvnpl."</font></td>";
 			if($disgiunto)
 				echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><font size=\"3\">".$tslpl."</font></td>";
Index: /trunk/admin/modules/Elezioni/query.sql
===================================================================
--- /trunk/admin/modules/Elezioni/query.sql	(revision 357)
+++ /trunk/admin/modules/Elezioni/query.sql	(revision 358)
@@ -65,5 +65,6 @@
 		$sql = "SELECT tipo_cons,descrizione,id_cons_gen FROM ".$prefix."_ele_consultazione order by data_fine desc limit 0,1 ";
 	else
-		$sql = "SELECT t1.tipo_cons,t1.descrizione,t2.id_cons_gen FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2, ".$prefix."_ele_operatori as t3 where t3.id_comune=$id_comune and t3.id_comune=t2.id_comune and t1.id_cons_gen=t2.id_cons_gen and t2.chiusa='0' and (t3.id_cons=t2.id_cons or t3.id_cons=0) and t3.permessi>0 and t3.aid='$aid' order by t1.data_fine desc limit 0,1 ";
+		$sql = "SELECT t1.tipo_cons,t1.descrizione,t2.id_cons_gen FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2, ".
+		$prefix."_ele_operatori as t3 where t3.id_comune=$id_comune and t3.id_comune=t2.id_comune and t1.id_cons_gen=t2.id_cons_gen and t2.chiusa='0' and (t3.id_cons=t2.id_cons or t3.id_cons=0) and t3.permessi>0 and t3.aid='$aid' order by t1.data_fine desc limit 0,1 ";
 }
 	$sth = $dbi->prepare("$sql");
Index: /trunk/admin/modules/Elezioni/salva_liste.php
===================================================================
--- /trunk/admin/modules/Elezioni/salva_liste.php	(revision 357)
+++ /trunk/admin/modules/Elezioni/salva_liste.php	(revision 358)
@@ -58,5 +58,4 @@
 $res->execute();
 list($circo)=$res->fetch(PDO::FETCH_NUM);
-
 if ($circo) $iscirco="and id_circ=$id_circ"; else $iscirco=''; 
 if($id_lista){
@@ -90,7 +89,10 @@
 
 ##################
-# if($id_lista){
+# if($id_lista){ 
+
+#$andlis="and 
 	if($pwd3==1) {
-		$sql="delete from ".$prefix."_ele_voti_candidati where id_cons='$id_cons' and id_sez='$id_sez'";
+		if($id_lista) $condiz="and id_cand in (select id_cand from ".$prefix."_ele_candidati where id_cons='$id_cons' and id_lista='$id_lista')"; else $condiz='';
+		$sql="delete from ".$prefix."_ele_voti_candidati where id_sez='$id_sez' $condiz";
 		$res = $dbi->prepare("$sql");
 		$res->execute();
@@ -111,4 +113,5 @@
 		
 	}elseif($id_lista){
+
 		foreach($idcand as $idkey=>$idc){			
 			$sql="select num_cand from ".$prefix."_ele_voti_candidati where id_sez='$id_sez' and id_cand='$idc'";
@@ -161,4 +164,8 @@
 $BASE=substr($_SERVER['PHP_SELF'], 0, strrpos($_SERVER['REQUEST_URI'], "/")-16);
 Header("Location: ".$BASE."admin.php?op=voti&id_cons_gen=$id_cons_gen&id_circ=$id_circ&id_sede=$id_sede&id_sez=$id_sez&do=spoglio&ops=$ops");
+
+
+
+
 #################################
 
Index: /trunk/admin/temi/Futura2/config.php
===================================================================
--- /trunk/admin/temi/Futura2/config.php	(revision 358)
+++ /trunk/admin/temi/Futura2/config.php	(revision 358)
@@ -0,0 +1,28 @@
+<?php
+# fa partire subito i risultati in visualizzazione nel tema futura2
+# commentare nel caso si voglia la partenza del tema di default
+# if ($op=="gruppo")$op="gruppo_mob";
+
+# devisualizz errori
+ini_set('display_errors','1');
+#if(isset($_POST['rss'])) {$rss=intval($_POST['rss']);}
+# verifica cambiamento colore 
+# usata variabile rss gia esistente 
+#if($rss==7){$colortheme="a";$_SESSION['colortheme']=$colortheme;}
+#elseif($rss==2){$colortheme="b";$_SESSION['colortheme']=$colortheme;}
+#elseif($rss==3){$colortheme="c";$_SESSION['colortheme']=$colortheme;}
+#elseif($rss==4){$colortheme="d";$_SESSION['colortheme']=$colortheme;}
+#elseif($rss==5){$colortheme="e";$_SESSION['colortheme']=$colortheme;}
+#elseif($rss==6) {$colortheme="f";$_SESSION['colortheme']=$colortheme;}
+
+$defcolortheme='f';
+if (isset($_SESSION['colortheme'])) $colortheme=$_SESSION['colortheme']; else $colortheme=$defcolortheme;
+#elseif($rss==6){$colortheme="f";$_SESSION['colortheme']=$colortheme;}
+
+#colori
+#f=arancio;e=azzurro-grigio;d=verde;c=rosso;b=azzurro;a=grigio
+
+# verifica se arriva dalle app iphone e android
+# usata la variabile rss=9 nel footer
+
+?>
